Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
Class CommandObjectEnablingPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.web.servlet.mvc.CommandObjectEnablingPostProcessor

All Implemented Interfaces:
  BeanPostProcessor, ApplicationContextAware

    public class CommandObjectEnablingPostProcessor

extends BeanPostProcessorAdapter
implements ApplicationContextAware

Since:
  1.3.2
Author:
  Graeme Rocher

Constructor Summary
`CommandObjectEnablingPostProcessor(ApplicationContext applicationContext)`

Method Summary
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`

Methods inherited from class org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
`postProcessAfterInitialization`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandObjectEnablingPostProcessor

    public CommandObjectEnablingPostProcessor(ApplicationContext applicationContext)

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Overrides:
    `postProcessBeforeInitialization` in class `BeanPostProcessorAdapter`
  Returns:
    The specified bean
  Throws:
    `BeansException`
  See Also:
    `BeanPostProcessor.postProcessBeforeInitialization(Object, String)`

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD